### Hierarchy

- GetGlobalObjectOptions

## Index

### Properties

- returnEmptyObject
- throwIfUnavailable
- usageDesc

## Properties

### Optional returnEmptyObject

returnEmptyObject: boolean

- Defined in src/utils.ts:209

If the object is not found, return an new empty object instead of undefined. Requires throwIfUnavailable to be falsey.

default

  false

### Optional throwIfUnavailable

throwIfUnavailable: boolean

- Defined in src/utils.ts:199

Throw an error if the object is not found.

default

  false

### Optional usageDesc

usageDesc: string

- Defined in src/utils.ts:203

Additional information to include in an error if thrown.

Generated using TypeDoc